?

Log in

No account? Create an account
Hello .. FC2 Release here. Seem to be having a bit of trouble with… - LogJam [entries|archive|friends|userinfo]
LogJam

[ website | LogJam ]
[ userinfo | livejournal userinfo ]
[ archive | journal archive ]

[May. 26th, 2004|09:39 pm]
LogJam
logjam
[stephen_lange]
Hello .. FC2 Release here. Seem to be having a bit of trouble with getting 4.4.0 to compile. Looks like its vomitting on aspell, it is installed. Any thoughts?

logjam 4.4.0 build configuration:

- Using GTK: yes
- Using GtkSpell: yes
- Using GtkHTML: no
- Using librsvg: yes
- Use docklet ("tray icon"): yes
- Using networking backend: curl
- Build XMMS helper: yes


uf-2.0 -lpangoxft-1.0 -lpangox-1.0 -lbonobo-2 -lgconf-2 -lgnomevfs-2 -lbonobo-activation -lORBit-2 -lgthread-2.0 -lcrlayeng -lpango-1.0 -lgmodule-2.0 -lgobject-2.0 -lxml2 -lpthread -lm -lglib-2.0 -L/usr/lib -L/usr/kerberos/lib -lssl -lcrypto -lgssapi_krb5 -lkrb5 -lcom_err -lk5crypto -lresolv -ldl -lz -lcurl
/usr/bin/ld: cannot find -laspell
collect2: ld returned 1 exit status
make[2]: *** [logjam] Error 1
make[2]: Leaving directory `/home/sll/downloads/logjam-4.4.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/sll/downloads/logjam-4.4.0'
make: *** [all] Error 2
LinkReply

Comments:
[User Picture]From: kumokasumi
2004-05-27 02:55 am (UTC)
Is aspell-devel installed?
(Reply) (Thread)
[User Picture]From: lifftchi
2004-05-27 03:04 am (UTC)
Maybe someone should have an autoresponder that skims messages for lines like:

/usr/bin/ld: cannot find -lfoo

And then posts "Is foo-devel installed?"

Oh. Wait.
(Reply) (Parent) (Thread)
[User Picture]From: discordian
2004-05-27 03:07 am (UTC)
I'm just going to look innocent and find something fascinating waaaay over in that corner.
(Reply) (Parent) (Thread)
[User Picture]From: xoder
2004-05-27 04:09 am (UTC)

I'm pretty sure I've got this mostly right...

Actually it should respond with foo-dev to .deb users, and foo-devel to .rpm users.

And to replace your statement with a shell script:

perl-ish pseudo-code:

while ()
{
    $_ =~ ("\/usr\/bin\/ld\: cannot find -l")(\w);
    LJ::LinuxHelpAutoPost("Is $2-dev or $2-devel installed?");
}


Designing the second function is left as an exercise to the reader.

(Reply) (Parent) (Thread)
From: stephen_lange
2004-05-27 07:33 am (UTC)

Re: I'm pretty sure I've got this mostly right...

Doh! Damn I thought I had all the devel packages installed.. color me noob I guess.
(Reply) (Parent) (Thread)
[User Picture]From: xoder
2004-05-27 04:42 pm (UTC)

Re: I'm pretty sure I've got this mostly right...

and color me html fool... there was supposed to be "
<POSTING>
" in the
()
(Reply) (Parent) (Thread)
From: evan
2004-05-27 09:27 pm (UTC)

Re: I'm pretty sure I've got this mostly right...

for what it's worth, i'd blame your distro: gtkspell-devel should depend on aspell-devel.
(Reply) (Parent) (Thread)